# Get a skill

Fetches a skill.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/business-agent/skills/{skillId}
```

- Area: WhatsApp / Business Agent
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)
- `skillId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/skills/66b559c8d6626f22861add91" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/skills/66b559c8d6626f22861add91", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/skills/66b559c8d6626f22861add91",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `title`, string: Up to 64 characters. Matches `^[a-z0-9]+(?:-[a-z0-9]+)*$`
- `description`, string: Up to 1024 characters
- `skill`, string, required: Up to 20000 characters
- `id`, string, required
- `channel`, string
- `created_at`, integer
- `status`, string: One of `active`, `pending_review`, `blocked`

```json
{
  "title": "Launch day",
  "description": "A short description",
  "skill": "string",
  "id": "6bfebd43ddc270f6d2c56fc5",
  "channel": "string",
  "created_at": 1,
  "status": "active"
}
```
